Bug 198608 - DHCP very slow
Summary: DHCP very slow
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-12 09:39 UTC by Joe Orton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 15:19:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log (337.50 KB, text/plain)
2006-07-12 09:39 UTC, Joe Orton
no flags Details

Description Joe Orton 2006-07-12 09:39:56 UTC
Description of problem:
anaconda took over 90 seconds to get a DHCP address on this box during
kickstart; it was trying various DHCPv6 things in the mean time, it seems, which
were repeatedly timing out.

14:24:10 INFO    : only have one network device: eth0
14:24:10 INFO    : sending dhcp request through device eth0
...
14:25:47 ERROR   : DHCPv6 eth0 - TIMED OUT - failure.
14:25:48 INFO    : DHCPv4 eth0 - obtained lease 172.16.18.103

(the subnet this box is on gets automatically assigned IPv6 addresses via radvd
if that makes a difference)

Comment 1 Joe Orton 2006-07-12 09:39:56 UTC
Created attachment 132291 [details]
anaconda log

Comment 2 Joachim Frieben 2006-07-15 17:26:00 UTC
That's normal. You need to set a time-out to see if the "DHCP" request
is honored or not. Add "noipv6" to the boot options or uncheck "ipv6"
support in the installer network configuration to skip this step.

Comment 3 David Cantrell 2006-07-17 15:09:33 UTC
Both DHCPv4 and DHCPv6 time out after 45 seconds.  But that's 45 seconds for
each protocol, hence the 90 second total.

There seem to be some other issues regarding radvd IPv6 configurations and the
anaconda loader right now.  Looking in to that.

Comment 4 Joe Orton 2006-07-17 15:20:48 UTC
To clarify: the DHCPv4 request did not time out at all, it succeeded
immediately, as the logs show; so that should not account for half the 90
seconds of timeout.

I'm not sure if it's worth continuing to wait for a DHCPv6 reply once the
interface gets assigned an address from the radvd broadcast; perhaps the timeout
could be decreased at least in that case.

Comment 5 David Cantrell 2006-07-17 15:29:56 UTC
For RFC compliance, we stick with 45 seconds for the DHCP client request.  But
special handling for radvd needs to be present so we then don't run the DHCP client.

Comment 6 David Cantrell 2006-08-03 15:19:34 UTC
Marking this report closed, notabug.


Note You need to log in before you can comment on or make changes to this bug.